'use strict'

const REDIS_HOST = '127.0.0.1'
const REDIS_PORT = 6379
const QUEUE_2 = 'second-queue'

const Queue = require('../index');

const timeout = (ms) => new Promise(resolve => setTimeout(resolve, ms))

const createQueue = (name, opts = {}) => {
  const queue = new Queue(name, {
    redis: opts.redis || { host: REDIS_HOST, port: REDIS_PORT }
  })

  return queue
}

module.exports = async (job) => {
  await timeout(3000)

  const { num, task } = job.data
  const secondQ = createQueue(QUEUE_2)

  for (let i = 1; i <= num; i++) {
    secondQ.add('stask-1', { num, task: 'stask-1' }, {
      attempts: 3,
      removeOnComplete: true
    })
  }

  secondQ.close()
}
